Installation of Redmine 1.3.1 on Nginx via Mongrel using thin now
2012-02-24 17:19 - Barry Krein
Description

Hello,

i have tried all the given different solutions to that NoMethodError and send_cookies problem.
| still get the errors.
The redmine i use is : svn - Revision 8976: /branches/1.3-stable

==> log/mongrel.log <==
** Daemonized, any open files are closed.
** Starting Mongrel listening at 0.0.0.0:9001

** Starting Rails with production environment...

** Rails loaded.

** Loading any Rails specific GemPlugins

** Signals ready. TERM => stop. USR2 => restart. INT => stop
** Rails signals registered. HUP => reload (without restart).
** Mongrel 1.1.5 available at 0.0.0.0:9001

** Writing PID file to log/mongrel.pid

Fri Feb 24 16:46:36 +0100 2012:

(no restart).

d “[]'" for nil:NilClass>
/usr/lib/ruby/1.8/mongrel/cgi.rb:108:in "~ send_cookies'
/usr/lib/ruby/1.8/mongrel/cgi.rb:136:in “out'
/usr/lib/ruby/1.8/mongrel/http_response.rb:65:in "~ start'
/usr/lib/ruby/1.8/mongrel/cgi.rb:135:in “out'
/usr/lib/ruby/1.8/mongrel/rails.rb:81l:in “process'
/usr/lib/ruby/1.8/mongrel.rb:159:in ‘process_client'
/usr/lib/ruby/1.8/mongrel.rb:158:in “each'
/usr/lib/ruby/1.8/mongrel.rb:158:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:285:in "new'
/usr/lib/ruby/1.8/mongrel.rb:285:in "“run’
/usr/lib/ruby/1.8/mongrel.rb:268:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:268:in “new'
/usr/lib/ruby/1.8/mongrel.rb:268:in "run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:282:in “run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “each'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281l:in “run'

/usr/bin/mongrel_rails:129:in “run'
/usr/lib/ruby/1.8/mongrel/command.rb:212:in “run'
/usr/bin/mongrel_rails:282

==> log/mongrel.pid <==

2189

==> log/production.log <==

# Logfile created on Fri Feb 24 16:45:51 +0100 2012

(for ****x*x** gt 2012-02-24 16:46:36)
"controller"=>"welcome"}
Rendering template within layouts/base

Processing WelcomeControllerf#index [GET]

Parameters: {"action"=>"index",

Rendering welcome/index

2025-05-02

Error calling Dispatcher.dispatch #<NoMethodError:

Look at log/mongrel.pid and log/mongrel.log for info.

It might not work well.

undefined metho
Completed in 27ms (View: 15, DB: 3) | 200 OK [http://*** *** *** ***/redmine]
***% TL,OCAL GEMS ***

actionmailer (3.2.1, 2.3.14, 2.3.11)
actionpack (3.2.1, 2.3.14, 2.3.11)
activemodel (3.2.1)

activerecord (3.2.1, 2.3.14, 2.3.11)
activeresource (3.2.1, 2.3.14, 2.3.11)
activesupport (3.2.1, 2.3.14, 2.3.11)
arel (3.0.0)

builder (3.0.0)

bundler (1.0.22)

daemons (1.1.8)

erubis (2.7.0)

eventmachine (0.12.10)

hike (1.2.1)

i18n (0.4.2)

journey (1.0.1)

json (1.6.5)

mail (2.4.1)

mime-types (1.17.2)

multi_json (1.0.4)

polyglot (0.3.3)

rack (1.1.1)

rack—-cache (1.1)

rack-ssl (1.3.2)

rack-test (0.6.1)

rails (2.3.14)

railties (3.2.1)

rake (0.8.7)

rdoc (3.12)

sprockets (2.1.2)

thor (0.14.6)

tilt (1.3.3)

treetop (1.4.10)

tzinfo (0.3.31)

config/initializers/
-rw-r—-—-r—— 1 redmine www-data 3411 Feb 12 01:58 10-patches.rb

—rw-r—-—-r—— 1 redmine www-data 194 Feb 12 01:58 20-mime_types.rb
—-rw-r—-—-r—— 1 redmine www-data 168 Feb 12 01:58 30-redmine.rb

—-rw—r——r—— 1 redmine www—-data 405 Feb 12 01:58 backtrace_silencers.rb
—-rw—-r—--r—— 1 redmine www-data 1232 Feb 12 01:58 bigdecimal-segfault-fix.rb
—-rw—-r——-r—-— 1 redmine www-data 377 Feb 12 01:58 inflections.rb

—-rw—r—--r—-— 1 redmine www-data 2880 Feb 24 16:30 mongrel.rb

—-rw—-r——r—— 1 redmine www-data 973 Feb 12 02:23 session_store.rb

| am using thin now by this docu:
http://blog.posativ.org/2011/redmine-sqglite3-lighttpd-thin/

Works well.

Hope anyone helps this!

History

#1 - 2012-02-24 17:28 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Not a Redmine defect, see #7688, #8524 (found in 3 seconds by using top search form).

#2 - 2012-02-24 18:11 - Barry Krein

As i said, i already looked for it but the solutions provided didn't work and i added info about my setup so maybe others have an a-ha effect or not or
http://blog.posativ.org/2011/redmine-sqlite3-lighttpd-thin/
https://www.redmine.org/issues/7688
https://www.redmine.org/issues/8524

whatever.
| thought anyone cares, but as it seems you don't.
Anyway, no reason to get cynical lad.

#3 - 2012-02-24 19:55 - Etienne Massip

Barry Krein wrote:

As i said, i already looked for it but the solutions provided didn't work and i added info about my setup so maybe others have an a-ha effect or

not or whatever.
| thought anyone cares, but as it seems you don't.

Anyway, no reason to get cynical lad.

Sorry for that, | have seen this issue so many times.

Did you check #7688#note-16 because the mongrel gem

#4 - 2012-02-24 20:07 - Barry Krein
| added it as debian package.
dpkg -1 |grep mongrel

ii mongrel
ary and server for Ruby

| am running a debian squeeze

#5 - 2012-02-24 20:08 - Barry Krein

and my installed ruby packages

dpkg -1 |grep ruby

ii libdaemons-ruby

ii libdaemons-rubyl.8

ii libeventmachine-rubyl.8

is not included in your gems list?

1.1.5-5

1.0.10-2
1.0.10-2
0.12.10-1

ry for high-performance threaded network programming

ii libgemplugin-ruby
m
ii libgemplugin-rubyl.8
m
ii libmysgl-rubyl.8
1.8
ii librack-rubyl.8
er interface (Ruby 1.8)
ii librubyl.8
run Ruby 1.8
rc libsvn-rubyl.8
ersion
ii rake
ii  ruby
ct-oriented scripting language Ruby
ii  rubyl.S8
oriented scripting language Ruby 1.8
ii rubyl.8-dev
ling extension modules for the Ruby 1.8
ii rubygemsl.8
mework for Ruby libraries/applications
ii thinl.8
uby web server (ruby 1.8 version)

2025-05-02

1.8.7.302-2squeezel

1.6.12dfsg-6

0.8.7-2

1.8.7.302-2squeezel

1.8.7.302-2squeezel

A small fast HTTP libr

Ruby daemons library
Ruby daemons library
Event-driven I/O libra
Gem Based Plugin Syste
Gem Based Plugin Syste
MySQL module for Ruby
A modular Ruby webserv
Libraries necessary to

Ruby bindings for Subwv

a ruby build program
An interpreter of obje

Interpreter of object-
Header files for compi
package management fra

fast and very simple R
